const marshalQueryKey = queryKey => Array.isArray(queryKey) ? queryKey.filter(Boolean).map(subKey => {
  if (subKey instanceof Date) {
    return subKey.toISOString();
  }
  return subKey === null || subKey === void 0 ? void 0 : subKey.toString();
}).join('.') : queryKey.toString();

export { marshalQueryKey };
